Get MCP server
/integrated-account/{integrated_account_id}/mcp/{id}
Path Parameters
The ID of the integrated account.
1ba1f401-7183-47c5-9e39-e8e257e3c795The ID of the MCP server to retrieve.
2ba1f401-7183-47c5-9e39-e8e257e3c796Response Body
Optional scoping for the MCP server. When omitted, all available tools for the integrated account are exposed.
Restrict the MCP server to these methods. Use a method name such as list or get, or one of the groups read, write and custom. Combined with tags using AND semantics.
["list","get"]When true, MCP requests also require a valid Truto API token in the Authorization Bearer header.
falseRestrict the MCP server to tools whose effective tags (resource-level and optional resource.method tags) intersect these values.
["crm","support"]How tools are exposed on tools/list.
all(default): every matching tool schema is listed.discovery: only three meta-tools are listed (search_tools,get_tool_schema,call_tool). The client discovers and calls real tools through those.
discoveryalldiscovery
Time at which the MCP server was created.
2024-01-10T10:00:00.000ZID of the user who created the MCP server.
0c1a2b3c-4d5e-6f70-8192-a3b4c5d6e7f8Optional expiry timestamp. When set, the MCP server's token is invalidated after this time.
2025-12-31T23:59:59.000ZUnique identifier for the MCP server.
2ba1f401-7183-47c5-9e39-e8e257e3c796The integrated account this MCP server is bound to.
1ba1f401-7183-47c5-9e39-e8e257e3c795Human-readable name for the MCP server.
Read-only HubSpotTime at which the MCP server was last updated.
2024-01-11T12:30:00.000Ztruto mcp-tokens get '<integrated_account_id>' '<token_id>' -o jsoncurl -X GET 'https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())